/************************************************************/
/* mail: King_of_Freaks@ist-einmalig.de                     */
/* ICQ:  344921113                                          */
/************************************************************/
/* Initialisierung der Uarts als SPI und RS232              */
/* Schnittstelle.                                           */
/* Achtung! Erst init_spi aufrufen, denn dieses             */
/* initialisiert das Quarz!                                 */
/************************************************************/
#include <msp430x14x.h>

void init_spi(void)
{
	  int i;
	  WDTCTL = WDTPW + WDTHOLD; 
	  do
	  {
		    IFG1 &=~OFIFG; 
		    for (i = 0xff; i>0; i--);
	  } 
	  while ((IFG1 & OFIFG) != 0);
	  BCSCTL1 &= ~XT2OFF; 
	  BCSCTL2 |= (SELM1 + SELS); 
	
	  UCTL0 &=~ SWRST; //starting USART1_init 
	  UCTL0 |= CHAR+SYNC+MM; 
	  UTCTL0 = STC + SSEL1 + SSEL0 + CKPL;// + CKPH; //3???,?SMCLK??
	  UBR00 = 0x08; //1MHz @ 8MHz
	  UBR10 = 0x00;
	  UMCTL0 = 0x00;
	  ME1 |= USPIE0; 
	  P3SEL |= 0x0F; //active P3.0 & P3.3 for SPI
	  P3DIR |= 0x0A; //P3.1(SIMO)& P3.3(UCLK)
	  IE1 &=~ URXIE0; 
	  UCTL0 &=~ SWRST;
}

void init_rs232(void) //57,6 kboud
{
	  P3SEL |= 0xC0;                        // P3.6,7 = USART1 option select
	  ME2 |= UTXE1 + URXE1;                 // Enable USART1 TXD/RXD
	  UCTL1 |= CHAR;                        // 8-bit character
	  UTCTL1 |= SSEL1;                      // UCLK = SMCLK
	  UBR01 = 0x22;                         // 
	  UBR11 = 0x00;                         //
	  UMCTL1 = 0x2C;                        // modulation
	  UCTL1 &= ~SWRST;                      // Initialize USART state machine
}
